View Issue Details

IDProjectCategoryView StatusLast Update
0003176SymmetricDSImprovementpublic2017-07-19 16:24
Reportergilles.riandAssigned Tomaxwellpettit 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.26 
Target Version3.8.28Fixed in Version3.8.28 
Summary0003176: SymDS V3.7 and V3.8 for "sym_context" With INTERBASE
DescriptionI would like to know why you change the Type of the table
"sym_context"

in version V3.7 it's a GLOBAL TEMPORARY TABLE
CREATE GLOBAL TEMPORARY TABLE SYM_CONTEXT (
    ID VARCHAR(30),
    CONTEXT_VALUE VARCHAR(30)
) ON COMMIT PRESERVE ROWS;

----
in V3.8 it's a normal TABLE
CREATE TABLE SYM_CONTEXT (
    NAME VARCHAR(80) NOT NULL,
    CONTEXT_VALUE VARCHAR(4096),
    CREATE_TIME TIMESTAMP,
    LAST_UPDATE_TIME TIMESTAMP
);
TagsNo tags attached.

Activities

chenson

2017-07-12 13:48

administrator   ~0001062

This was unintentional and can be considered a bug. We'll change the name of the global tepmorary table that is for the interbase dialect.

maxwellpettit

2017-07-14 11:45

developer   ~0001065

renamed global temporary table to SYM_TEMP_CONTEXT

Related Changesets

SymmetricDS: 3.8 061dac26

2017-07-14 11:44:47

maxwellpettit

Details Diff
0003176: SymDS V3.7 and V3.8 for "sym_context" With INTERBASE
0003176
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2017-06-30 10:40 gilles.riand New Issue
2017-07-12 13:48 chenson Note Added: 0001062
2017-07-12 13:49 chenson Target Version => 3.8.28
2017-07-14 09:41 chenson Assigned To => maxwellpettit
2017-07-14 09:41 chenson Status new => assigned
2017-07-14 11:45 maxwellpettit Note Added: 0001065
2017-07-14 11:45 maxwellpettit Status assigned => resolved
2017-07-14 11:45 maxwellpettit Fixed in Version => 3.8.28
2017-07-14 11:45 maxwellpettit Resolution open => fixed
2017-07-14 12:00 maxwellpettit Changeset attached => SymmetricDS 3.8 061dac26
2017-07-19 16:24 chenson Status resolved => closed